Sign in
POST/client_api/v2/auth/sign_in
Swap a login's email and password for a token. Send the token as a bearer token on every other call. It lasts a week.
This call needs no token.
Parameters
- api_userobjectRequired
The login to sign in with.
Returns
Returns the token.
Errors
- 401UnauthorizedThe token is missing, expired or invalid. Sign in again.
POST /client_api/v2/auth/sign_in
1curl -X POST "https://sandbox-api.vatit-stream.com/client_api/v2/auth/sign_in" \2 -H "Content-Type: application/json" \3 -d '{4 "api_user": {5 "email": "integrations@globaltradecorp.example",6 "password": "your-password"7 }8 }'
Response
{"token": "eyJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6ImludGVncmF0aW9uc0BnbG9iYWx0cmFkZWNvcnAuZXhhbXBsZSIsInN1YiI6IjkiLCJzY3AiOiJhcGlfdXNlciIsImF1ZCI6bnVsbCwiaWF0IjoxNzkyNzM5Njg2LCJleHAiOiIxNzkzMzQ0NDg2IiwianRpIjoiM2YxYzJhOWUtNmI0ZC00ZThhLTljNzEtMGQ1ZThiMmY0YTE2In0.tQ3m0Yk9v1S7bT2n5Zq8Lw4HcXr6JdPaUeVgNiOfMhA"}